Package org.apache.solr.common.cloud

## Interface Slice.SliceStateProps

Enclosing class:
  Slice

    public static interface Slice.SliceStateProps

JSON properties related to a slice's state.

### Field Summary

Fields
`static String` `LEADER`
`static String` `PARENT`
`static String` `RANGE`
`static String` `REPLICAS`
`static String` `STATE_PROP`

### Field Detail

#### STATE_PROP

    static final String STATE_PROP

See Also:
  Constant Field Values

#### REPLICAS

    static final String REPLICAS

See Also:
  Constant Field Values

#### RANGE

    static final String RANGE

See Also:
  Constant Field Values

#### LEADER

    static final String LEADER

See Also:
  Constant Field Values

#### PARENT

    static final String PARENT

See Also:
  Constant Field Values